Get authentication providers
GET /api
Provides the details of the enabled authentication providers.
Response
200 — The requested Authentication Information
AnyAuthenticationProvidersSupportPasswordManagementbooleanApiKeyDefaultExpiryDaysintegerApiKeyMaxExpiryDaysintegerAuthenticationProvidersarray of objectCSSLinksarray of stringDisplayNamestringFormsLoginEnabledbooleanIdentityTypeenum
Allowed values:Guest,UsernamePassword,ActiveDirectory,OAuth.JavascriptLinksarray of stringLinksobjectNamestring
AutoLoginEnabledbooleanIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OctopusIdDynamicRegistrationPendingbooleanRememberMeEnabledbooleanUserApiKeysEnabledboolean
Example Response
JSON
{
"AnyAuthenticationProvidersSupportPasswordManagement": true,
"ApiKeyDefaultExpiryDays": 0,
"ApiKeyMaxExpiryDays": 0,
"AuthenticationProviders": [
{
"CSSLinks": [
"string"
],
"DisplayName": "string",
"FormsLoginEnabled": true,
"IdentityType": "Guest",
"JavascriptLinks": [
"string"
],
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"AutoLoginEnabled": true,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OctopusIdDynamicRegistrationPending": true,
"RememberMeEnabled": true,
"UserApiKeysEnabled": true
}Determine whether an external server (.e.g Okta) has initiated login from a URL query string and, if so, get the provider’s name
POST /api
Request Body
EncodedQueryStringstring (required)
Minimum length 1.
Response
200 — Whether the external server has initiated login and if so the provider’s name
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProviderNamestringWasLoginInitiatedboolean
Example Request
JSON
{
"EncodedQueryString": "string"
}Example Response
JSON
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProviderName": "string",
"WasLoginInitiated": true
}